Create Process Collection
curl --request GET \
--url https://api.inprocess.world/api/collections/default \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.inprocess.world/api/collections/default"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.inprocess.world/api/collections/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "11111111-1111-1111-1111-111111111111",
"address": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA",
"name": "Process",
"chain_id": 8453,
"created_at": "2025-06-07T20:41:35+00:00",
"uri": "ar://FrDLosTVZP54g8xvLkGG0aWDGrKV46dDAz5umTJkiyA",
"protocol": "in_process",
"creator": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
"creator_username": "artist name 1",
"admins": []
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Collections
Create Process Collection
Create the shared Process collection for the authenticated artist.
GET
/
collections
/
default
Create Process Collection
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Process collection created, or the existing Process collection for this artist
A collection row as returned by GET /collections
Collection ID
Contract address of the collection
Collection name
Chain ID where the collection exists
ISO timestamp when the collection was created
Metadata URI
Protocol the collection belongs to
Creator wallet address
Collection admins
Show child attributes
Show child attributes
Creator username when available